# rmgarch #

The rmgarch package provides a selection of *feasible* multivariate GARCH models with methods for fitting, filtering, forecasting and simulation with additional support functions for working with the returned objects. At present, the Generalized Orthogonal GARCH using Independent Components Analysis (ICA) (with multivariate Normal, affine NIG and affine GH distributions) and Dynamic Conditional Correlation (with multivariate Normal, Laplace and Student distributions) models are fully implemented, with methods for spec, fit, filter, forecast, simulation, and rolling estimation and forecasting, as well as specialized functions to calculate and work with the weighted portfolio conditional density. The DCC model currently includes the asymmetric DCC (aDCC) and Flexible DCC which allows for separate groupwise dynamics for the correlation. The GARCH-Copula model is also implemented with the multivariate Normal and Student distributions, with dynamic (aDCC) and static estimation of the correlation. The conditional mean can be either univariate ARMA (AR for GO-GARCH), or a VAR model for which a robust alternative is also available. Parallel functionality is implemented almost everywhere since the models benefit from separability in the dynamics.

The stable version is on [CRAN](http://cran.r-project.org/web/packages/rmgarch/index.html).